




-- -----------------------------------------------------------
-- Entity Designer DDL Script for MySQL Server 4.1 and higher
-- -----------------------------------------------------------
-- Date Created: 06/29/2015 15:31:05
-- Generated from EDMX file: 
-- Target version: 3.0.0.0
-- --------------------------------------------------


-- --------------------------------------------------
-- Dropping existing FOREIGN KEY constraints
-- NOTE: if the constraint does not exist, an ignorable error will be reported.
-- --------------------------------------------------

--    ALTER TABLE `Orders` DROP CONSTRAINT `FK_OperatoreStorico`;

-- --------------------------------------------------
-- Dropping existing tables
-- --------------------------------------------------
SET foreign_key_checks = 0;
    DROP TABLE IF EXISTS `Customers`;
    DROP TABLE IF EXISTS `Orders`;
SET foreign_key_checks = 1;

-- --------------------------------------------------
-- Creating all tables
-- --------------------------------------------------

CREATE TABLE `Customers`(
	`Id` bigint NOT NULL AUTO_INCREMENT UNIQUE);

ALTER TABLE `Customers` ADD PRIMARY KEY (Id);




CREATE TABLE `Orders`(
	`Id` bigint NOT NULL AUTO_INCREMENT UNIQUE, 
	`CustomerId` bigint NOT NULL, 
	`Timestamp` datetime NOT NULL);

ALTER TABLE `Orders` ADD PRIMARY KEY (Id);






-- --------------------------------------------------
-- Creating all FOREIGN KEY constraints
-- --------------------------------------------------

-- Creating foreign key on `CustomerId` in table 'Orders'

ALTER TABLE `Orders`
ADD CONSTRAINT `FK_OperatoreStorico`
    FOREIGN KEY (`CustomerId`)
    REFERENCES `Customers`
        (`Id`)
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_OperatoreStorico'

CREATE INDEX `IX_FK_OperatoreStorico` 
    ON `Orders`
    (`CustomerId`);

-- --------------------------------------------------
-- Script has ended
-- --------------------------------------------------
